<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		
		
		let n=new Array(1,3,7,9,12);
		
		/** documentación necesaria para cada función
		es capaz de sumar los elementos de un array
		*@param {[array]} argumento [descripción] 
		*@return{[int]}    [suma de los elementos del array]*/
	
		function suma(arraynum) {

			let sumaf=0, c=0;

			for(c=0;c<arraynum.length;c++) {
			sumaf+=arraynum[c];
			}
			return sumaf;
		}

		/**es capaz de sumar los elementos de un array
		*@param {[array]} argumento [un array de números] 
		*@return{[real]} [la media de los elementos del array]*/

		function media(numeros) {
			let mediaf=0;
			mediaf=suma(numeros)/numeros.length;
			
			return mediaf;
		}

		sumado=suma(n);
		promedio=media(n,sumado);

		document.write("La suma es: "+sumado+"<br>");
		document.write("La media es: "+promedio+"<br>");

		sumado=suma([2,2,2,2]);
		promedio=media([2,2,2]);

		document.write("La suma es: "+sumado+"<br>");
		document.write("La media es: "+promedio);
		
		</script>
</head>
<body>
	
</body>
</html>